
Redmine - Defect #5070

Redmine.pm does not allow Administrators to access svn repositories

2010-03-13 23:49 - Bryce Nordgren

Status: New Start date: 2010-03-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 0.9.3

Description

The following SQL code does not detect that a user is an Administrator and denies access:

  my $query = "SELECT 

                 hashed_password, auth_source_id, permissions

              FROM members, projects, users, roles, member_roles

              WHERE 

                projects.id=members.project_id

                AND member_roles.member_id=members.id

                AND users.id=members.user_id 

                AND roles.id=member_roles.role_id

                AND users.status=1 

                AND login=? 

                AND identifier=? ";

 Adding myself as a member of the project within redmine permitted access.

Note there is a related issue: #3712, where someone has uploaded an "improved version" of Redmine.pm, having significantly

enhanced features.  I will try this version next, to see if it allows Redmine administrators to have access to the Redmine-managed

subversion repositories.  Perhaps it would be worth accepting the improved version into the main distribution as an easy fix for this

issue (if it works)?

Related issues:

Related to Redmine - Patch #3712: enhanced mod_perl module for apache New 2009-08-05

History

#1 - 2010-03-15 22:50 - Bryce Nordgren

The alternate version of Redmine.pm in #3712 does not allow admins to browse/commit to repositories.  However, it still has some very nice features

which would be good to have merged into the main release. ;)

#2 - 2010-03-16 11:57 - Roman Savrulin

I have the same issue, but even adding myself as a member of a project does not permit access

#3 - 2011-03-24 07:59 - Toshi MARUYAMA

- Category changed from SCM to SCM extra

#4 - 2012-05-09 14:21 - Karel Pičman
